libpam-script_1.1.9-4_i386.deb


Advertisement

Description

libpam-script - PAM module which allows executing a script

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libpam-script_1.1.9-4_i386.deb
Package name libpam-script
Package version 1.1.9
Package release 4
Package architecture i386
Package type deb
Category admin implemented-in::c role::shared-lib security::authentication
Homepage https://github.com/jeroennijhof/pam_script
License -
Maintainer Martijn van Brummelen <mvb@debian.org>
Download size 21.06 KB
Installed size 62.00 KB
This module will allow you to execute scripts during authorization,
password changes and sessions. This is very handy if your current
security application has no PAM support but is accessible with
perl or other scripts.

Alternatives

Package Version Architecture Repository
libpam-script_1.1.9-4_amd64.deb 1.1.9 amd64 Debian Main
libpam-script - - -

Requires

Name Value
libc6 >= 2.4
libpam0g >= 0.99.7.1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libpam-script_1.1.9-4_i386.deb
Source Package libpam-script

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpam-script deb package:
    # sudo apt-get install libpam-script

Files

Path
/lib/security/pam_script.so
/usr/share/doc/libpam-script/NEWS.gz
/usr/share/doc/libpam-script/README
/usr/share/doc/libpam-script/README.Debian
/usr/share/doc/libpam-script/README.pam_script
/usr/share/doc/libpam-script/changelog.Debian.gz
/usr/share/doc/libpam-script/changelog.gz
/usr/share/doc/libpam-script/copyright
/usr/share/doc/libpam-script/examples/README.examples
/usr/share/doc/libpam-script/examples/logscript
/usr/share/doc/libpam-script/examples/pam_script.gz
/usr/share/man/man7/pam-script.7.gz
/usr/share/pam-configs/pam_script

Changelog

2018-09-12 - Martijn van Brummelen <mvb@debian.org>
libpam-script (1.1.9-4) unstable; urgency=medium
* Add/change Vcs to salsa.debian.org
* Change policy(no changes needed) 
2018-09-12 - Martijn van Brummelen <mvb@debian.org>
libpam-script (1.1.9-3) unstable; urgency=medium
* Change policy(no changes needed)
* Change Vcs to salsa.debian.org
2018-02-19 - Martijn van Brummelen <mvb@debian.org>
libpam-script (1.1.9-2) unstable; urgency=medium
* Change dependency's (Closes : #889876).
2017-11-17 - Martijn van Brummelen <mvb@debian.org>
libpam-script (1.1.9-1) unstable; urgency=medium
* New upstream release
* Update Standards-Version from 3.9.8 to 4.1.1.
2016-11-30 - Martijn van Brummelen <mvb@debian.org>
libpam-script (1.1.8.1-1-1) unstable; urgency=medium
* New upstream release (#817198).
2016-08-19 - Martijn van Brummelen <mvb@debian.org>
libpam-script (1.1.8.1-1) unstable; urgency=medium
* New upstream release(Closes : #817198).
* Update Standards-Version from 3.9.6 to 3.9.8.
* Change maintainer email.
* Put config in VCS.
2014-10-19 - Martijn van Brummelen <martijn@brumit.nl>
libpam-script (1.1.7-1) unstable; urgency=medium
* New upstream release
* Modify control/copyright/watch file because upstream moved to Github.
2014-10-18 - Martijn van Brummelen <martijn@brumit.nl>
libpam-script (1.1.6-2) unstable; urgency=medium
* Update Standards-Version from 3.9.4 to 3.9.6.
* Add note to README.Debian (Closes : #759559).
2013-01-22 - Martijn van Brummelen <martijn@brumit.nl>
libpam-script (1.1.6-1) unstable; urgency=low
* New upstream release.
* Enable hardening.
* Change compat from 7 to 9.
* Fix lintian warnings/errors.
* Update Standards-Version from 3.9.2 to 3.9.4.
* Add postinst/prerm files (Closes: #670182) Thanks Gaudenz Steinlin.
2012-02-22 - Martijn van Brummelen <martijn@brumit.nl>
libpam-script (1.1.5-1) unstable; urgency=low
* New upstream release
* Adjust debian/copyright file to fix lintian error.
* Bump standard version to 3.9.2.

See Also

Package Description
libpam-shield_0.9.6-1.3+b2_i386.deb locks out remote attackers trying password guessing
libpam-shishi_1.0.2-6.2_i386.deb PAM module for Shishi Kerberos v5
libpam-slurm_18.08.5.2-1_i386.deb PAM module to authenticate using the SLURM resource manager
libpam-snapper_0.8.2-1_i386.deb PAM module for Linux filesystem snapshot management tool
libpam-ssh-agent-auth_0.10.3-3_i386.deb PAM Authentication via forwarded ssh-agent
libpam-ssh_2.3+ds-1_i386.deb Authenticate using SSH keys
libpam-sss_1.16.3-3.1_i386.deb Pam module for the System Security Services Daemon
libpam-systemd_241-7~deb10u1_i386.deb system and service manager - PAM module
libpam-tacplus_1.3.8-2_i386.deb PAM module for using TACACS+ as an authentication service
libpam-tmpdir_0.09+b2_i386.deb automatic per-user temporary directories
libpam-u2f_1.0.7-1+deb10u1_i386.deb universal 2nd factor (U2F) PAM module
libpam-ufpidentity_1.0-1_i386.deb PAM library for UFP identity
libpam-winbind_4.9.5+dfsg-5_i386.deb Windows domain authentication integration plugin
libpam-wrapper_1.0.7-1+b1_i386.deb Tool to test PAM applications and PAM modules
libpam-x2go-dev_0.0.2.0-2_i386.deb PAM Module to check credentials against X2Go servers (development files)
Advertisement
Advertisement